Bug 26013 - Date on 'manage staged MARC records' is not formatted correctly
Summary: Date on 'manage staged MARC records' is not formatted correctly
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-17 21:56 UTC by Katrin Fischer
Modified: 2020-09-10 04:44 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26013: Fix formatting for dates on "Manage stage MARC records" page (2.74 KB, patch)
2020-07-17 22:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26013: Fix formatting for dates on "Manage stage MARC records" page (2.79 KB, patch)
2020-08-07 18:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26013: Fix formatting for dates on "Manage stage MARC records" page (2.94 KB, patch)
2020-08-25 15:36 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-07-17 21:56:53 UTC
The staging date on the manage stage screen is not formatted to system preference settings.
Comment 1 Katrin Fischer 2020-07-17 22:06:24 UTC
Created attachment 107047 [details] [review]
Bug 26013: Fix formatting for dates on "Manage stage MARC records" page

The "staged" dates were not formatted according to system
preferences DateFormat and TimeFormat as the appropriate TT
filters were missing.

To test:
- Stage a record in MARC format
- Go to Staged MARC management
- Check the date in the list of imports
- Click on the import and check the "Staged:" date
- Apply patch
- Repeat and verify formatting is now correct
Comment 2 Owen Leonard 2020-08-07 18:09:42 UTC
Created attachment 107971 [details] [review]
Bug 26013: Fix formatting for dates on "Manage stage MARC records" page

The "staged" dates were not formatted according to system
preferences DateFormat and TimeFormat as the appropriate TT
filters were missing.

To test:
- Stage a record in MARC format
- Go to Staged MARC management
- Check the date in the list of imports
- Click on the import and check the "Staged:" date
- Apply patch
- Repeat and verify formatting is now correct

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2020-08-10 12:40:08 UTC
Thx, Owen!
Comment 4 Joonas Kylmälä 2020-08-25 15:36:12 UTC
Created attachment 109114 [details] [review]
Bug 26013: Fix formatting for dates on "Manage stage MARC records" page

The "staged" dates were not formatted according to system
preferences DateFormat and TimeFormat as the appropriate TT
filters were missing.

To test:
- Stage a record in MARC format
- Go to Staged MARC management
- Check the date in the list of imports
- Click on the import and check the "Staged:" date
- Apply patch
- Repeat and verify formatting is now correct

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 5 Katrin Fischer 2020-08-26 07:25:12 UTC
Thx Joonas!
Comment 6 Jonathan Druart 2020-08-26 13:23:48 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-09-04 20:24:32 UTC
backported to 20.05.x for 20.05.04
Comment 8 Aleisha Amohia 2020-09-10 04:44:01 UTC
enhancement, not backported to 19.11.x